Bug 83530 - Add 'quicksearch' parameter to ports search engine
Add 'quicksearch' parameter to ports search engine
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2005-07-16 00:10 UTC by lars.engels
Modified: 2006-01-21 19:50 UTC (History)
0 users

See Also:

bsd.port.subdir.mk.diff (3.26 KB, patch)
2005-07-16 00:10 UTC, lars.engels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lars.engels 2005-07-16 00:10:00 UTC

The diff file contains changes to /usr/ports/Mk/bsd.port.subdir.mk which adds the target quicksearch to the ports makefiles.
make quicksearch takes only [x]key and [xname] as a search criteria and only shows the port, path and info section of the matching ports.
The same output can be generated by using display=name,path,info but quicksearch is easier to use.
Comment 1 pav freebsd_committer 2005-07-16 00:12:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr
Comment 2 Mark Linimon freebsd_committer 2005-12-19 01:28:42 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer 2006-01-21 19:50:42 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.